Bookmark Topic Watch Topic
 
friki data migration
Ranch Hand
Posts: 772
  • Mark post as helpful
  • send pies
  • Report post to moderator
While for the most part Struts 1.3.x is backward compatible with earlier versions, because of the new composable request processor, if you're using Tiles, you must make some configuration changes in order for your application to work with Struts 1.3.x.

You must add the following initialization parameter to the Struts ActionServlet in your web.xml file. The chain-config.xml file that it points to is in the struts-tiles-1.3.x.jar file.



Also, don't forget to update the DOCTYPE definition in your tiles-defs.xml file:






Return to StrutsFaq
 
    Bookmark Topic Watch Topic
  • New Topic